System Monitor

System Monitor supports the detailed monitoring of the operating system resources.

  • Before monitoring your system, see Checklist: Monitoring performance.
  • To find features that have been changed in Windows XP, see New ways to do familiar tasks.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


New ways to do familiar tasks

The following table lists common tasks for System Monitor and maps where you can perform the tasks in Windows XP and Windows 2000. For existing Performance Monitor (Perfmon.exe) users, the table also shows where these tasks are performed in Windows NT 4.0. Many of the toolbar buttons remain the same in the three versions and can be used instead of the steps listed in this table.

If you want to | In Windows NT 4.0 use | In Windows 2000 or Windows XP use
Create a chart of performance data. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create a report. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create a workspace with multiple views. | Performance Monitor on the Administrative Tools menu. | Microsoft Management Console, Add/Remove Snap-in command on the File menu.


How to...

  • Work with counters
  • Work with monitoring views
  • Work with data
  • Work with settings


Concepts

This section provides general background information about System Monitor:

  • System Monitor overview
  • Understanding System Monitor
  • Using System Monitor


Understanding System Monitor

This section describes the design and operation of System Monitor:

  • Performance objects and counters
  • Performance tool architecture
  • Performance monitoring in Windows NT 4.0


Using System Monitor

This section covers:

  • Setting up a monitoring configuration
  • Choosing which counters to use
  • Quick reference to System Monitor settings
  • System Monitor toolbar and keystroke reference